import {GiftGetType} from "$popup/popup-personal/components/my-gift/components/gift-list/const/giftListConst";

export default [
    {
        label:'基本资料',
        icon:require('../images/information.png'),
        component:'personalData'
    },
    {
        label:'我的钱包',
        icon:require('../images/wallet.png'),
        component:'myWallet'
    },
    {
        label:'我的订单',
        icon:require('../images/order.png'),
        component:'myOrder'
    },
    {
        label:'我的礼物',
        icon:require('../images/gift.png'),
        component:'myGift',
        attrs:{
            mode: GiftGetType.room
        }
    },
    {
        label:'陪玩礼物',
        icon:require('../images/gift.png'),
        component:'myPlayGift',
        useComponent:'myGift',
        attrs:{
            mode: GiftGetType.player
        }
    },
    {
        label:'个性装扮',
        icon:require('../images/dress.png'),
        component:'myDressUp'
    },
    {
        label:'我的关注',
        icon:require('../images/attention.png'),
        component:"myFollow"
    }
] as LibDataArray